%define name gimp-plugin-texturize
%define version 2.1
%define release %mkrel 1

Summary:   Generate large textures from a small sample
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Graphics
URL:       http://gimp-texturize.sourceforge.net/index.html
Source:    %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gimp-devel gettext gtk+2-devel pkgconfig intltool
Requires:  	gimp
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description
This plugin works with the GIMP (the GNU Image Manipulation Program).
Its purpose is to generate large textures from a small sample.
It can also generate tileable textures.


%prep
%setup -q


%build
%configure2_5x \


%make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
%{_libdir}/gimp/2.0/plug-ins/texturize
%{_datadir}/gimp-texturize/help/en/gimp-help.xml
%{_datadir}/gimp-texturize/help/en/index.html
%{_datadir}/gimp-texturize/help/images/wilber.png
%{_datadir}/locale/*/LC_MESSAGES/gimp-texturize.mo

%changelog
* Thu Sep 23 2010 Texstar <texstar at gmail.com> 2.1-1pclos2010
- create package

